import {Inject, Injectable} from '../di'
import {Unit} from '../lifecycle/Unit'
import {Logging} from '../service/Logging'

/**
 * Unit class that bootstraps the authentication framework.
 */
@Injectable()
export class Authentication extends Unit {
    @Inject()
    protected readonly logging!: Logging

    async up(): Promise<void> {
        this.container()
    }
}
